"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.VERSION = void 0;
const dotenv = __importStar(require("dotenv"));
dotenv.config();
exports.VERSION = {
    v1: "/api/v1",
};
exports.default = {
    db: {
        url: process.env.DATABASE_URL,
        sync: false,
        logging: false,
        pool: {
            max: 5,
            min: 0,
            acquire: 30000,
            idle: 10000,
        },
        dialect: "mysql",
    },
    env: process.env.NODE_ENV || "development",
    isProduction: process.env.NODE_ENV === "production" || process.env.NODE_ENV === "prod",
    port: process.env.PORT,
    auth: {
        secretToken: process.env.JWT_SECRET_KEY,
        tokenExpiration: Number(process.env.JWT_EXPIRATION),
        secretRefreshToken: process.env.REFRESH_TOKEN_SECRET,
        tokenRefreshExpiration: Number(process.env.REFRESH_TOKEN_EXPIRATION),
        apiKey: process.env.API_KEY,
    },
    aws: {
        accessKey: process.env.AWS_ACCESS_KEY,
        secretKey: process.env.AWS_SECRET_KEY,
        region: process.env.AWS_REGION,
        sqsUrl: process.env.SQS_QUEUE_URL,
    },
    localServerUrl: process.env.LOCAL_SERVER_URL,
    productionServerUrl: process.env.PRODUCTION_SERVER_URL
};
//# sourceMappingURL=index.js.map