"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const customer_1 = __importDefault(require("../services/customer"));
class CustomerController {
    constructor() {
        this.customerService = new customer_1.default();
    }
    // async getCustomers(tailorId: string, query: { name?: string; email?: string; phone?: string }) {
    //   try {
    //     return await this.customerService.getCustomers(tailorId, query);
    //   } catch (error) {
    //     logger.error(error);
    //     throw error;
    //   }
    // }
    getCustomers(tailorId_1, query_1) {
        return __awaiter(this, arguments, void 0, function* (tailorId, query, page = 1, limit = 10) {
            try {
                return yield this.customerService.getCustomers(tailorId, query, page, limit);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    viewCustomerDetails(tailorId, id) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.customerService.viewCustomerDetails(tailorId, id);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    createCustomer(tailorId, input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.customerService.createCustomer(tailorId, input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    updateCustomer(tailorId, id, input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.customerService.updateCustomer(tailorId, id, input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
}
exports.default = CustomerController;
//# sourceMappingURL=customer.js.map