"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const measurement_1 = __importDefault(require("../services/measurement"));
class MeasurementController {
    constructor() {
        this.measurementService = new measurement_1.default();
    }
    getMeasurements(tailorId, customerId) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.measurementService.getMeasurements(tailorId, customerId);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    viewMeasurementDetails(tailorId, id) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.measurementService.viewMeasurementDetails(tailorId, id);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    createMeasurement(tailorId, input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.measurementService.createMeasurement(tailorId, input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    updateMeasurement(tailorId, id, input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.measurementService.updateMeasurement(tailorId, id, input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    deleteMeasurement(tailorId, id) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.measurementService.deleteMeasurement(tailorId, id);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
}
exports.default = MeasurementController;
//# sourceMappingURL=measurement.js.map