"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const tailor_1 = __importDefault(require("../services/tailor"));
class TailorController {
    constructor() {
        this.tailorService = new tailor_1.default();
    }
    registerTailor(input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.tailorService.register(input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    loginTailor(input) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.tailorService.login(input);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
    changePassword(input, tailorId) {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                return yield this.tailorService.changePassword(input, tailorId);
            }
            catch (error) {
                logger_1.default.error(error);
                throw error;
            }
        });
    }
}
exports.default = TailorController;
//# sourceMappingURL=tailor.js.map