"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sequelize = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
const sequelize_1 = require("sequelize");
const config_1 = __importDefault(require("../../config"));
const logger_1 = __importDefault(require("../../logger"));
const db = {};
const sequelize = new sequelize_1.Sequelize(config_1.default.db.url, config_1.default.db);
exports.sequelize = sequelize;
const extension = process.env.NODE_ENV !== "local" ? ".js" : ".ts";
fs_1.default.readdirSync(__dirname)
    .filter((file) => file.indexOf(".") !== 0 &&
    file !== path_1.default.basename(__filename) &&
    file.slice(-3) === extension)
    .forEach((file) => {
    // eslint-disable-next-line @typescript-eslint/no-var-requires
    const model = require(path_1.default.join(__dirname, file))(sequelize, sequelize_1.DataTypes);
    db[model.name] = model;
});
Object.keys(db).forEach((modelName) => {
    if (db[modelName].associate) {
        db[modelName].associate(db);
    }
});
db.sequelize = sequelize;
db.Sequelize = sequelize_1.Sequelize;
const resolvedConnection = () => logger_1.default.info("Connected to database!");
const rejectedConnection = (error) => logger_1.default.info(`Failed to connect. Error: ${error}`);
sequelize.authenticate().then(resolvedConnection).catch(rejectedConnection);
if (process.env.NODE_ENV === "local") {
    // sequelize.sync({ alter: true });
}
exports.default = db;
//# sourceMappingURL=index.js.map