"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class Measurement extends sequelize_1.Model {
        static associate(models) {
            // A Measurement belongs to a Customer
            Measurement.belongsTo(models.Customer, {
                foreignKey: 'customerId',
                as: 'customer',
            });
        }
    }
    Measurement.init({
        id: {
            type: DataTypes.UUID,
            primaryKey: true,
            defaultValue: DataTypes.UUIDV4,
        },
        customerId: {
            type: DataTypes.UUID,
            allowNull: false,
            references: {
                model: 'customers',
                key: 'id',
            },
        },
        back: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        neck: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        chest: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        stomach: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        arm: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        shortSleeve: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        longSleeve: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        lengthOfTop: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        threeQuarterSleeve: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        waist: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        thigh: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        lengthOfPant: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        calf: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
        kneel: {
            type: DataTypes.FLOAT,
            allowNull: true,
        },
    }, {
        sequelize,
        modelName: 'Measurement',
        tableName: 'measurements',
        underscored: true,
        timestamps: true,
    });
    return Measurement;
};
//# sourceMappingURL=measurement.js.map