"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const sequelize_1 = require("sequelize");
module.exports = (sequelize, DataTypes) => {
    class Tailor extends sequelize_1.Model {
        static associate(models) {
            // A Tailor has many Customers
            Tailor.hasMany(models.Customer, {
                foreignKey: 'tailorId',
                as: 'customers',
            });
        }
    }
    Tailor.init({
        id: {
            type: DataTypes.UUID,
            primaryKey: true,
            defaultValue: DataTypes.UUIDV4,
        },
        name: {
            type: DataTypes.STRING,
            allowNull: false,
        },
        email: {
            type: DataTypes.STRING,
            allowNull: false,
            unique: true,
            validate: { isEmail: true },
        },
        password: {
            type: DataTypes.STRING,
            allowNull: false,
        },
    }, {
        sequelize,
        modelName: 'Tailor',
        tableName: 'tailors',
        underscored: true,
        timestamps: true,
    });
    return Tailor;
};
//# sourceMappingURL=tailor.js.map