"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.stream = void 0;
const winston_1 = require("winston");
const options = {
    file: {
        level: "info",
        filename: "./logs/app.log",
        handleExceptions: true,
        json: true,
        maxsize: 5242880,
        maxFiles: 5,
        colorize: false,
    },
    console: {
        level: "debug",
        handleExceptions: true,
        json: false,
        colorize: true,
    },
};
const localFormat = {
    level: "debug",
    transports: [
        new winston_1.transports.File({
            filename: "./logs/error.log",
            level: "error",
        }),
        new winston_1.transports.File(options.file),
        new winston_1.transports.Console(options.console),
    ],
};
const logger = (0, winston_1.createLogger)(localFormat);
exports.stream = {
    write: (message) => {
        logger.info(message);
    },
};
exports.default = logger;
//# sourceMappingURL=logger.js.map