"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.tailorRoutes = void 0;
const celebrate_1 = require("celebrate");
const express_1 = require("express");
const express_async_handler_1 = __importDefault(require("express-async-handler"));
const tailor_1 = __importDefault(require("../../controllers/tailor"));
const authenticate_1 = require("../../middlewares/authenticate");
const validation_schema_1 = require("../../utils/validation-schema");
const tailorRoutes = (0, express_1.Router)();
exports.tailorRoutes = tailorRoutes;
const tailorController = new tailor_1.default();
tailorRoutes.post('/login', authenticate_1.apiKeyAuthMiddleware, (0, celebrate_1.celebrate)({ body: validation_schema_1.loginSchema }), (0, express_async_handler_1.default)((request, response) => __awaiter(void 0, void 0, void 0, function* () {
    const loginData = request.body;
    const data = yield tailorController.loginTailor(loginData);
    response.status(200).json(data).end();
})));
tailorRoutes.post('/register', authenticate_1.apiKeyAuthMiddleware, (0, celebrate_1.celebrate)({ body: validation_schema_1.registerAccountSchema }), (0, express_async_handler_1.default)((request, response) => __awaiter(void 0, void 0, void 0, function* () {
    const userData = request.body;
    const data = yield tailorController.registerTailor(userData);
    response.status(201).json(data).end();
})));
tailorRoutes.post("/change-password", authenticate_1.apiKeyAuthMiddleware, (0, celebrate_1.celebrate)({ body: validation_schema_1.changePasswordSchema }), authenticate_1.protect, (0, express_async_handler_1.default)((request, response) => __awaiter(void 0, void 0, void 0, function* () {
    const tailorData = request.body;
    const tailor = response.locals.user;
    yield tailorController.changePassword(tailorData, tailor.id);
    response
        .status(200)
        .json({
        status: "success",
        message: "Password changed successfully",
    })
        .end();
})));
//# sourceMappingURL=tailor.js.map